Bug 813774 - dracut needs to include phy networking modules
dracut needs to include phy networking modules
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 08:12 EDT by Josh Boyer
Modified: 2012-07-03 04:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-03 04:17:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Boyer 2012-04-18 08:12:55 EDT
Description of problem:

I noticed my machine no longer started networking automatically at some point, and required a rmmod/modprobe of the tg3 driver to get networking up and running.  After some investigation and discussion with upstream it seems the tg3.ko driver requires the broadcom.ko PHY module to do the PHY probing.  

That module missing from the initramfs, so when tg3.ko is loaded and does the callout for the broadcom.ko module, it fails.

Version-Release number of selected component (if applicable):

dracut-018-1.fc17.noarch

How reproducible:

Thus far, always.

Steps to Reproduce:
1. Install a new kernel
2. Reboot
3. No automatic networking
  
Actual results:

[    2.010283] tg3.c:v3.123 (March 21, 2012)
[    2.021524] tg3 mdio bus: probed
[    2.021527] tg3 0000:03:00.0: No PHY devices
[    2.021555] tg3 0000:03:00.0: Problem fetching invariants of chip, aborting

Expected results:

[  285.304010] tg3.c:v3.123 (March 21, 2012)
[  285.347398] tg3 mdio bus: probed
[  285.352332] tg3 0000:03:00.0: eth0: Tigon3 [partno(BCM57788) rev 57780001] (PCI Express) MAC address 18:03:73:e6:01:88
[  285.352338] tg3 0000:03:00.0: eth0: attached PHY driver [Broadcom BCM57780] (mii_bus:phy_addr=300:01)
[  285.352344] tg3 0000:03:00.0: eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] TSOcap[1]
[  285.352349] tg3 0000:03:00.0: eth0: dma_rwctrl[76180000] dma_mask[64-bit]
[  285.412658] tg3 0000:03:00.0: irq 47 for MSI/MSI-X
[  286.352221] tg3 0000:03:00.0: p3p1: Link is down
[  287.351309] tg3 0000:03:00.0: p3p1: Link is up at 100 Mbps, full duplex
[  287.351313] tg3 0000:03:00.0: p3p1: Flow control is on for TX and on for RX

(and the broadcom.ko module is loaded as well)

Additional info:

This is present in F17 at least, but I suspect we need the fix across all branches.  There is no explicit module dependency in the kernel between tg3 and broadcom, but the 3.3 kernel needs both in cases like this.  A 3.3 or newer kernel is in all branches, F15-rawhide.

Upstream conversation: http://thread.gmane.org/gmane.linux.network/227561

It was suggested to just include all kernel/drivers/net/phy/*.ko in the initramfs.
Comment 1 Harald Hoyer 2012-07-03 04:17:07 EDT
fixed in F17 dracut >= 018

Note You need to log in before you can comment on or make changes to this bug.